Bug 1291948 - [Docs] [Ceph] [RFE] Deploy Ceph RESTful API
[Docs] [Ceph] [RFE] Deploy Ceph RESTful API
Status: CLOSED DUPLICATE of bug 1354654
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
9.0 (Mitaka)
Unspecified Unspecified
high Severity unspecified
: ---
: 10.0 (Newton)
Assigned To: Don Domingo
RHOS Documentation Team
Don Domingo
: Documentation, FutureFeature
Depends On: 1354654 1454747 1454748
Blocks: 1291943
  Show dependency treegraph
 
Reported: 2015-12-15 18:05 EST by Neil Levine
Modified: 2017-05-23 08:19 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-10 04:26:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil Levine 2015-12-15 18:05:12 EST
As an admin, I want the Ceph admin API endpoint to be installed on the same hosts as my Controller and MON nodes.
As an admin, I would like Ceph admin API endpoints to be accessible by a Ceph administration tool.
Comment 4 Federico Lucifredi 2016-07-13 15:40:13 EDT
Without this, the Storage Console will not work with OSP-10. Setting priority to high.

It should be a pretty straightforward fix — it should be just an install on the right nodes.

If the storage console is going to be installed manually, then it is OK to include this as a manual install step with those instructions.
Comment 5 seb 2016-07-19 09:56:25 EDT
Just install a new package in the base image, configure the service and run it.
Comment 11 Nishanth Thomas 2016-08-19 08:42:15 EDT
As we discussed over the email, there is no development work done here. The idea is to follow the the documentation to install and setup  RHS-C[1], bootstrap the storage nodes[2] and import the cluster into RHSC[1]


[1]https://access.qa.redhat.com/documentation/en/red-hat-storage-console/2.0/single/red-hat-storage-console-20-quick-start-guide
[2]https://access.qa.redhat.com/documentation/en/red-hat-ceph-storage/2/installation-guide-for-red-hat-enterprise-linux/#installing_and_configuring_the_red_hat_storage_console_agent


Also please have a look at the related bzs:

https://bugzilla.redhat.com/show_bug.cgi?id=1354654
https://bugzilla.redhat.com/show_bug.cgi?id=1365990
Comment 12 Andrew Dahms 2016-08-22 19:29:49 EDT
Resetting the default assignees and moving back to 'NEW' while assigned to the default assignee.
Comment 17 Neil Levine 2016-10-13 13:15:36 EDT
Federico, can you comment?
Comment 18 Federico Lucifredi 2017-01-09 15:25:23 EST
That is correct — all that is required is what Domingo delineated in #14: that Calamari API is available on the MON nodes. Console can take it up from there.

Note You need to log in before you can comment on or make changes to this bug.